SQL Prompt 10

Requirements

SQL Prompt is an add-in for the following development environments:

  • SQL Server Management Studio 19 Preview 2 (Prerelease support)
  • SQL Server Management Studio 18
  • SQL Server Management Studio 2017
  • SQL Server Management Studio 2016
    • NOTE: SQL Prompt doesn't work well with the first release of SSMS 2016 (version: 13.0.15000.23). If you get any errors about UIConnectionInfo please upgrade SSMS.
  • Visual Studio 2022
    • NOTE: SQL Server Data Tools must be installed from the Visual Studio Installer (Data storage and processing workload) for SQL Prompt to load in Visual Studio. 
  • Visual Studio 2019
    • NOTE: SQL Server Data Tools must be installed from the Visual Studio Installer (Data storage and processing workload) for SQL Prompt to load in Visual Studio. 

Microsoft SQL Server support

SQL Prompt can connect to the following versions of SQL Server:

  • SQL Server 2022
  • SQL Server 2019
  • SQL Server 2017
  • SQL Server 2016
  • SQL Server 2014
  • SQL Server 2012
  • Azure SQL Database
  • SQL Server on Azure VM
  • Google Cloud SQL for SQL Server & Virtual Machines
  • Amazon SQL Server RDS & Virtual Machines

Microsoft Windows support

You can use SQL Prompt with the following operating systems:

  • Windows 11
  • Windows 10
  • Windows 8
  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012

Other requirements

Microsoft .NET Framework 4.7.2

SQL Server Permissions


Didn't find what you were looking for?